Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		bamf
#Epoch:		0
Version:	0.2.66
Release:	1
License:	GNU/LGPLv3
URL:		https://launchpad.net/bamf
Group:		System/Libraries
Summary:	BAMF Application Matching Framework
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
# add --disable-gio-module configure switch
# might be needed in future if glib bamf patch doesn`t get accepted upstream
Patch0:		bamf-0.2.64-gio_parameter.patch

# Requires:

# BuildRequires:
BuildRequires: gobject-introspection-devel
BuildRequires: vala-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libgtop-devel
BuildRequires: libpng-devel
BuildRequires: libwnck-devel
BuildRequires: libX11-devel
BuildRequires: pango-devel
BuildRequires: pkg-config

%description
Removes the headache of applications matching into a simple DBus daemon and c wrapper library. Currently features application matching at amazing levels of accuracy (covering nearly every corner case).

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
#-/autogen.sh
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}exec/bamfdaemon
%{_libdir}/gio/modules/libgiobamf.so
%{_libdir}/libbamf.so.*
%{_datadir}/dbus-1/services/org.ayatana.bamf.service

%files devel
%defattr(-,root,root)
%{_includedir}/libbamf/libbamf
%{_libdir}/gio/modules/libgiobamf.la
%{_libdir}/girepository-1.0/Bamf-0.2.typelib
%{_libdir}/libbamf.la
%{_libdir}/libbamf.so
%{_pkgconfig}/libbamf.pc
%{_datadir}/gir-1.0/Bamf-0.2.gir
%{_datadir}/gtk-doc/html/libbamf
%{_datadir}/vala/vapi/Bamf-0.2.vapi

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Fri Dec 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.2.66-1
- initial CCux package release
